[P033]Standard Essential Patent (SEP)

get
https://connect.patsnap.com/advanced-patent-data/sep-data
Try in Sandbox

Receive SEP (Standard Essential Patent) data by patent_id or patent_number. This includes data source, standard ID, version, declaration date, title, and projects.

The API supports batch requests with a maximum of 100 patents, and more patent id or patent number are separated with English comma. Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
patent_id
string7ff9d60e-2d02-4390-903b-c9e517ff3c3a
patent_id
patent_number
stringEP3499756A1
patent_number

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
array-
response data
pn
stringUS11205304B2
patent number
patent_id
string718ead9c-4f3c-4674-8f5a-24e126827269
patent id
patsnap_sep_data
arrayPlease check the form: PatsnapSepData
sep data
title
string5G; NR; Overall description; Stage-2 (3GPP TS 38.300 version 15.2.0 Release 15)
Title
version
string15.2.0
Standard version
projects
array[ "3GPP", "3GPP-radio", "3GPP-Release-15" ]
Projects
sep_source
stringETSI
Standard data source
standard_id
stringTS 138 300
Standard id
declaration_date
integer<int32>20180925
Declaration date
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "pn": "US11205304B2",
      "patent_id": "718ead9c-4f3c-4674-8f5a-24e126827269",
      "patsnap_sep_data": [
        {
          "title": "5G; NR; Overall description; Stage-2 (3GPP TS 38.300 version 15.2.0 Release 15)",
          "version": "15.2.0",
          "projects": [
            "3GPP",
            "3GPP-radio",
            "3GPP-Release-15"
          ],
          "sep_source": "ETSI",
          "standard_id": "TS 138 300",
          "declaration_date": 20180925
        }
      ]
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found